import { UiField } from "./UiField";
import { UiColorPickerConfig, UiColorPickerEventSource } from "../../generated/UiColorPickerConfig";
import { TeamAppsUiContext } from "../TeamAppsUiContext";
import { UiFieldEditingMode } from "../../generated/UiFieldEditingMode";
import { UiColorConfig } from "../../generated/UiColorConfig";
export declare class UiColorPicker extends UiField<UiColorPickerConfig, UiColorConfig> implements UiColorPickerEventSource {
    private $main;
    private pickr;
    private doNotCommit;
    protected initialize(config: UiColorPickerConfig, context: TeamAppsUiContext): void;
    isValidData(v: UiColorConfig): boolean;
    commit(forceEvenIfNotChanged?: boolean): boolean;
    protected displayCommittedValue(): void;
    getDefaultValue(): UiColorConfig;
    getFocusableElement(): HTMLElement;
    getMainInnerDomElement(): HTMLElement;
    getTransientValue(): UiColorConfig;
    protected onEditingModeChanged(editingMode: UiFieldEditingMode): void;
    valuesChanged(v1: UiColorConfig, v2: UiColorConfig): boolean;
    doDestroy(): void;
}
